Subject: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: martin rudalics <[email-masked]>
Date: Mon, 19 Nov 2018 10:42:36 +0100

> Like `switch-to-buffer-in-dedicated-window' has the option `pop',
 > another customizable variable could provide a similar non-default
 > option that will call pop-to-buffer-same-window from switch-to-buffer.

OK.  But would that option's value apply to C-x b as well?

 > Or maybe simpler to create a new command e.g. switch-to-buffer-same-window
 > based on switch-to-buffer-other-window?

You mean C-h k C-x b would tell me that

C-x b runs the command switch-to-buffer-same-window (found in
global-map), which is an interactive compiled Lisp function in
‘window.el’.

martin